<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** version 20180716 ****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS 24 Hour Surface Analysis Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS 24 Hour Surface Analysis Loops');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS 24 Hour Surface Analysis Loops';
	echo '<title> '.$TITLE.'</title>';
}
##############################  Settings  ##################################
$mapType = 'satsfcnps'; // Default map type is set here
$imageWidth = 656; // Width of images
$iframeWidth = 656; // Default IFrame Width -- adjust as needed
$bgndColor = 'silver'; // Set HAniS Background Color Here
$btnColor = 'darkslategray'; // Set Button Color here
$btnTextColor = 'white'; // Set Button Text Color here
############################ New in Version 2 ##########################
$pauseSeconds = 2; // Pause on last image, in seconds
$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
$numbImages = 8; // Number of Images to Animate
############################ New in Version 3 ##########################
$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
$narrowWidth = 676; // Narrow map width
###########################  End of Settings ###############################
$wideWidth = 900; // Initial widescreen map width.  Varies depending upon map type
$aspect = .75; // Initial aspect ratio
if ((isset($_SESSION['CSSwidescreen']) && $_SESSION['CSSwidescreen']==1)||$standAlone) {
	$divWidth = $wideWidth;
} else $divWidth = $narrowWidth;
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showMapsjs(maptype,divWidth,numbImages,wbg,imageWidth,iframeWidth,bgndColor,btnTextColor,aspect,pauseSeconds,animRate,smoothingOn,narrowWidth,standAlone)
 { 
		$jq('#showMaps').load('inc-wxna24hsaloops.php', {maptype:maptype,divWidth:<?php echo $divWidth?>,numbImages:numbImages,wbg:wbg,imageWidth:imageWidth,iframeWidth:iframeWidth,bgndColor:bgndColor,btnTextColor:btnTextColor,aspect:aspect,pauseSeconds:pauseSeconds,animRate:animRate,smoothingOn:smoothingOn,narrowWidth:<?php echo $narrowWidth?>,standAlone:<?php echo $standAlone?1:0?> });
	}
}
</script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
}
############################################################################
date_default_timezone_set("GMT");	# The NWS calculations for these charts is GMT
?>
<?php if (isset($_SESSION['CSSwidescreen']) || !$standAlone) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth) ?>px; border:inset; padding:2px">
<?php } else { ?>
	<div id="main-copy" style="width:100%">
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth ?>px">
	<br/>
	<?php include("inc-wxna24hsaloops.php")?>
	</div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
  date_default_timezone_set($SITE['tz']);	# Reset to default TimeZone
	include("footer.php");
############################################################################
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>