<?php
/**************************** version 20180716 ****************************/
############################################################################
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
?>
<div id="showMaps" align="center">
<?php
if (!isset($mapType)) {
	#$_SESSION['CSSwidescreen'] = true;
	$standAlone = false;
	$mapType = 'satsfcnps'; // Default map type is set here
	$imageWidth = 900; // Width of radar images
	$aspect = .75; // Default aspect ratio
	$iframeWidth = 917; // Default IFrame Width -- adjust as needed
	$divWidth = $imageWidth; // Set default width
	$wbg = false; // White background setting
	$bgndColor = 'silver'; // Set HAniS Background Color Here
	$btnColor = 'darkslategray'; // Set Button Color here
	$btnTextColor = 'white'; // Set Button Text Color here
	############################ New in Version 2 ##########################
	$pauseSeconds = 2; // Pause on last image, in seconds
	$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
	$numbImages = 8; // Number of images to animate
	############################ New in Version 3 ##########################
	$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
	$narrowWidth = 656; // Default
	$aspect = .75; // Initial aspect ratio
	$mapType = 'satsfcnps'; //'radsfcus_exp_new','satsfcnps', 'satsfc', 'ussatsfc', 'Td', 'TdERR', or 'VIS'
	echo '<style type="text/css">
	div.center {
		width:100%;
		margin-left: auto;
		margin-right: auto;
	}
	</style>
	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>'
	;
}
if (isset($_POST['maptype'])) {
	$mapType = $_POST['maptype'];
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { # Are we using AJAX???
	$divWidth = $_POST['divWidth']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['narrowWidth'])) { # Are we using AJAX???
	$narrowWidth = $_POST['narrowWidth']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['standAlone'])) { # Are we using AJAX???
	$standAlone = $_POST['standAlone']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}

$wbg = false; // White Background Map?
if ($mapType == 'satsfc') {
	$mapText = 'Sat. Overlay N. America - Pacific';
	$wideWidth = 900;
	$aspect = .75;
} else if ($mapType == 'satsfcnps') {
	$mapText = 'Sat. Overlay North America';
	$wideWidth = 900;
	$aspect = .75;
} else if ($mapType == 'ussatsfc') {
	$mapText = 'Sat. Overlay Continental US';
	$wideWidth = 900;
	$aspect = .75;
} else if ($mapType == 'radsfcus_exp_new') {
	$mapText = 'Radar Overlay Continental US';
	$wideWidth = 675;
	$aspect = .7;	
} else if ($mapType == 'bwsfc') {
	$mapText = 'Continental US';
	$wideWidth = 750;
	$aspect = .75;	
} else if ($mapType == 'usdwmsfc') {
	$mapText = 'Surface &amp; Station Weather';
	$wideWidth = 1088;
	$aspect = .72;
	$wbg = true;	
} else if ($mapType == 'namsfc') {
	$mapText = 'Aviation Style North America';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;
} else if ($mapType == 'namussfc') {
	$mapText = 'Aviation Style US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'usfntsfc') {
	$mapText = 'Fronts Only US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namnesfc') {
	$mapText = 'Aviation Style North East US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namcesfc') {
	$mapText = 'Aviation Style Central East US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namsesfc') {
	$mapText = 'Aviation Style South East US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namncsfc') {
	$mapText = 'Aviation Style North Central US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namccsfc') {
	$mapText = 'Aviation Style Mid-Central US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namscsfc') {
	$mapText = 'Aviation Style South Central US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namnwsfc') {
	$mapText = 'Aviation Style North West US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namcwsfc') {
	$mapText = 'Aviation Style Central West US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namswsfc') {
	$mapText = 'Aviation Style South West US';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namaksfc') {
	$mapText = 'Aviation Style Alaska';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
} else if ($mapType == 'namak2sfc') {
	$mapText = 'Aviation Style Alaskan Gulf';
	$wideWidth = 750;
	$aspect = .75;
	$wbg = true;	
}
if ((isset($_SESSION['CSSwidescreen']) && $_SESSION['CSSwidescreen']==1) || $standAlone==1) {
	$divWidth = $wideWidth;
}
$iframeWidth = $divWidth;
$imageWidth = $divWidth-17;
$theHour = date("H");
/* Debug Code *
echo 'isset($_SESSION[\'CSSwidescreen\']): '.isset($_SESSION['CSSwidescreen']).'<br/>';
echo '((isset($_SESSION[\'CSSwidescreen\']) && $_SESSION[\'CSSwidescreen\']==1)||$standAlone==1): '.((isset($_SESSION['CSSwidescreen']) && $_SESSION['CSSwidescreen']==1)||$standAlone==1).'<br/>';
echo '$wideWidth: '.$wideWidth.'$iframeWidth: '.$iframeWidth.', $divWidth: '.$divWidth.', $imageWidth: '.$imageWidth.'<br/>';
/* End Debug Code */
date_default_timezone_set("GMT");	# The NWS calculations for these charts is GMT, and AJAX forgets it!
$timeNow = timenow_adjust();
$hours8 = array();
for ($i=0; $i<8; $i++) { // Populate Array
	$hours8[$i] = $i*3;
	if ($hours8[$i]<10) { // Adjust for missing zeros
		$hours8[$i] = '0'.$hours8[$i];
	}
}
$j = 7-floor($timeNow/3);
for ($i=0; $i<$j; $i++) {
	if ($hours8[$i] > $timeNow) {
		break;
	}
	$junk = array_pop($hours8);
	array_unshift($hours8,$junk);
}
function timenow_adjust() {
	$theHour = (date("H"));
	$mapHour = $theHour-($theHour%3); // Need multiple of 3 for $mapHour
	if (($mapHour == 0) && ($theHour<2)) { // New maps not up yet and
		$theTime = 21;											 // and old maps begin yesterday
		return $theTime;
	} else if (($theHour%3)<=1){ // New maps not up yet so use old maps
		$theTime = (($mapHour>=3)?($mapHour-3):'21'); // which may begin yesterday
		return ($theTime<9)?'0'.$theTime:$theTime;
	} else { // Defaults to here (($theHour%3)==2) where new maps are up
		$theTime = $mapHour; // at 2 hrs past 00~02,03~05,06~08,09~11, etc.
		return ($theTime<9)?'0'.$theTime:$theTime;
	}
}
?>
<div style="width:<?php echo $divWidth?>px">
<span style="color:#000000; font-size:13px; font-family:arial, times new roman; font-size:large">
<b>Select Map Type and Region:</b> &nbsp;
</span>

<select style="border:1px solid <?php echo $btnColor?>; background-color:<?php echo $btnColor?>; border-radius:7px; font-size:12px; color:<?php echo $btnTextColor?>" name="maptype">

<optgroup label="Satellite Overlay">
  <option value="satsfc"<?php echo (($mapType=='satsfc')?' selected="selected"':'');?>>N. America/Pacific</option>
  <option value="satsfcnps"<?php echo (($mapType=='satsfcnps')?' selected="selected"':'');?>>North America</option>
  <option value="ussatsfc"<?php echo (($mapType=='ussatsfc')?' selected="selected"':'');?>>Continental US</option>
</optgroup>

<optgroup label="Radar Overlay">
  <option value="radsfcus_exp_new"<?php echo (($mapType=='radsfcus_exp_new')?' selected="selected"':'');?>>Continental US</option>
</optgroup>

<optgroup label="Color Analysis">
  <option value="bwsfc"<?php echo (($mapType=='bwsfc')?' selected="selected"':'');?>>US and Canada</option>
  <option value="usdwmsfc"<?php echo (($mapType=='usdwmsfc')?' selected="selected"':'');?>>Surface &amp; Station Weather</option>
</optgroup>

<optgroup label="Aviation Style">
  <option value="namsfc"<?php echo (($mapType=='namsfc')?' selected="selected"':'');?>>North America</option>
  <option value="namussfc"<?php echo (($mapType=='namussfc')?' selected="selected"':'');?>>US</option>
  <option value="usfntsfc"<?php echo (($mapType=='usfntsfc')?' selected="selected"':'');?>>US Fronts Only</option>
  <option value="namnesfc"<?php echo (($mapType=='namnesfc')?' selected="selected"':'');?>>North East US</option>
  <option value="namcesfc"<?php echo (($mapType=='namcesfc')?' selected="selected"':'');?>>Central East US</option>
  <option value="namsesfc"<?php echo (($mapType=='namsesfc')?' selected="selected"':'');?>>South East US</option>
  <option value="namncsfc"<?php echo (($mapType=='namncsfc')?' selected="selected"':'');?>>North Central US</option>
  <option value="namccsfc"<?php echo (($mapType=='namccsfc')?' selected="selected"':'');?>>Mid-Central US</option>
  <option value="namscsfc"<?php echo (($mapType=='namscsfc')?' selected="selected"':'');?>>South Central US</option>
  <option value="namnwsfc"<?php echo (($mapType=='namnwsfc')?' selected="selected"':'');?>>North West US</option>
  <option value="namcwsfc"<?php echo (($mapType=='namcwsfc')?' selected="selected"':'');?>>Central West US</option>
  <option value="namswsfc"<?php echo (($mapType=='namswsfc')?' selected="selected"':'');?>>South West US</option>
  <option value="namaksfc"<?php echo (($mapType=='namaksfc')?' selected="selected"':'');?>>Alaska</option>
  <option value="namak2sfc"<?php echo (($mapType=='namak2sfc')?' selected="selected"':'');?>>Alaskan Gulf</option>
</optgroup>

</select>
<?php $jsConstants = array(
			'var imageWidth = "'.$imageWidth.'";',
			'var iframeWidth = "'.$iframeWidth.'";',
			'var bgndColor = "'.$bgndColor.'";',
			'var btnColor = "'.$btnColor.'";',
			'var btnTextColor = "'.$btnTextColor.'";',
			'var animRate = "'.$animRate.'";',
			'var pauseSeconds = "'.$pauseSeconds.'";',
			'var smoothingOn = "'.$smoothingOn.'";',
			'var wbg = "'.($wbg?'1':'0').'";',
			'var aspect = "'.$aspect.'";',
			'var divWidth = "'.$divWidth.'";',
			'var numbImages = "'.$numbImages.'";',
			'var narrowWidth = "'.$narrowWidth.'";',
			'var standAlone = "'.($standAlone?'1':'0').'";',
	);?>

<script type="text/javascript">
	var $jq = jQuery.noConflict();
  $jq("select").change(function () {
    var maptype = $jq(this).val();
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
    showMapsjs(maptype,divWidth,numbImages,wbg,imageWidth,iframeWidth,bgndColor,btnTextColor,aspect,pauseSeconds,animRate,smoothingOn,narrowWidth,standAlone);
  });
</script>


  <h2 align="center">NWS Weather Prediction Center Surface Analysis Charts:<br/><?php echo 'Past 24 Hour '.$mapText.' Loop'; ?></h2>
    <div class="center" style="text-align:center; width:<?php echo $divWidth?>px">
    
	<?php echo '<span style="line-height:140%">Note: Times are UTC (Zulu, currently <b><span id="zTimer">'.gmdate("Hi").'</span>Z)</b></span><br/>';?>
		<div class="center" style="width:<?php echo $divWidth ?>px">

		<iframe name="wx24hsahanis" width="<?php echo $iframeWidth?>" height="<?php echo (($iframeWidth*$aspect)+40)?>" src="./wxna24hsaloops-hanis-iframe.php?iframeWidth=<?php echo $iframeWidth?>&amp;mapType=<?php echo $mapType?>&amp;imageWidth=<?php echo $imageWidth?>&amp;aspect=<?php echo $aspect?>&amp;wbg=<?php echo $wbg?'1':'0'?>&amp;bgndColor=<?php echo $bgndColor?>&amp;btnColor=<?php echo $btnColor?>&amp;btnTextColor=<?php echo $btnTextColor?>&amp;animRate=<?php echo $animRate?>&amp;pauseSeconds=<?php echo $pauseSeconds?>&amp;numbImages=<?php echo $numbImages?>&amp;smoothingOn=<?php echo $smoothingOn?>" scrolling="no" style="border:none"></iframe>

    </div>
    <div class="center" style="width:<?php echo $divWidth ?>px; text-align:center">
    	<span style="line-height:110%"><br/><b>These maps are updated about 2 hours after their indicated analysis time.</b></span><br/>
      <span style="font-size:11px; line-height:120%">(The next updates will be the <?php echo ($hours8[0].'00Z');?> maps at about <?php echo ((($hours8[0]+2)<10)?'0'.($hours8[0]+2):$hours8[0]+2).'00Z'?> when this page will refresh automatically.)</span><br/><br/>
      <span style="line-height:130%; font-size:14px; font-weight:bold"><a href="wxna24hsa<?php echo $standAlone?'-SA':''?>.php">Non-looped Images</a><br/>
     <?php echo $divWidth==$narrowWidth?'<a href="wxna24hsaloops-SA.php" target="_blank" title="Largest Maps in New Tab">Full Size Maps</a>':''?>
     </span><br/><hr/>    <span style="font-size:10px;line-height:130%">Maps and Data Courtesy of NOAA NWS <a href="https://www.wpc.ncep.noaa.gov/index.shtml" target="_blank" title="Opens in New Tab">Weather Prediction Center</a> <a href="https://www.wpc.ncep.noaa.gov/html/sfc2.shtml" target="_blank" title="Opens in New Tab">North American Surface Analysis</a>.<br/>Script by <a href="https://www.gwwilkins.org" target="_blank" title="Opens in New Tab">SE Lincoln Weather</a> -- Animation by <a href="https://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="New Tab">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker</span>
</div>
</div>
</div>
<script type="text/javascript">
function zuluTimer() {<!--
//<![CDATA[
  var d = new Date();
  var _min = d.getMinutes();
	var _hour = d.getUTCHours();
	var _sec = d.getSeconds();
//	if (!(_sec%60)) { redoPage(); } // Refresh page to catch latest maps
if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) {
  console.log("((_hour+1)/3): "+((_hour+1)/3));
	console.log("Math.round((_hour+1)/3): "+Math.round((_hour+1)/3));
}
	if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) { redoPage(); } // Refresh page to catch latest maps
  var count = (60 - _sec); // current count
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
    if (count <= 0) {
      clearInterval(counter);
      zuluTimer();
    }
  } document.getElementById("zTimer").innerHTML = ((_hour<10)?('0'+_hour):_hour).toString() + ((_min<10)?('0'+_min):_min).toString();
	  // Place .getElementById here to refresh every minute (currently specified interval)
} zuluTimer();
//]]>
-->
</script>
<script type="text/javascript">
function redoPage() {
	zuluTimer(); // Need to restart our timer from scratch!
	var $jq = jQuery.noConflict();
  var maptype = "<?php echo $mapType?>";
	<?php for ($i=0; $i<count($jsConstants); $i++) {
		echo $jsConstants[$i];
	}?>
    showMapsjs(maptype,divWidth,numbImages,wbg,imageWidth,iframeWidth,bgndColor,btnTextColor,aspect,pauseSeconds,animRate,smoothingOn,narrowWidth,standAlone);
};
</script>
</div>
